Zoey REST API reference ยท Interactive version: apidocs.zoey.com

Accounts

Accounts: Customer

Get All

GET https://container-url.zoeysite.com/api/rest/companyAccounts/customerCompanies?customer_id=3

Retrieve companies that user can select in checkout.

Query parameters:

NameExampleNotes
customer_id3ID of customer to fetch info. ( Required )

Example response (Get All), HTTP 200:

{
    "totalRecords": 1,
    "items": [
        {
            "id": "1",
            "name": "test",
            "status": "1",
            "new_customer_group_id": "1",
            "company_location_id": "1",
            "location_id": "1",
            "location_name": "Global",
            "locations": []
        }
    ]
}